MPDRIS2(1)

NAME
mpDris2 - media player interface (MPRIS2) bridge for MPD

SYNOPSIS
mpDris2 [OPTIONS]

DESCRIPTION
mpDris2 is an implementation of the MPRIS2 media player interface as a client for MPD, allowing MPRIS2 clients to control MPD and observe its track changes via a standard D-Bus interface.

It can also respond to multimedia keys if running under GNOME, and send track-change notifications if python-notify is installed.

It is normally run automatically via D-Bus service activation. On systems following the freedesktop.org Desktop Application Autostart Specification, it will be run automatically on login.

CONFIGURATION
mpDris2 is normally configured via the file XDG_CONFIG_DIRS/mpDris2/mpDris2.conf (typically ~/.config/mpDris2/mpDris2.conf), whose contents are documented in /usr/share/doc/mpdris2/README. Settings in this configuration file can be overridden by command-line options and environment variables.

OPTIONS

-p PATH, --path=PATH
    Set the location of the directory from which mpd reads music, overriding the configuration file. The default is to use the path specified in the configuration file, or try some likely directories (XDG_MUSIC_DIR from the environment or XDG_CONFIG_DIRS/user-dirs.dirs, ~/Music, ~/music).

-h, --help
    Show a help message

-d, --debug
    Emit debug logging messages

ENVIRONMENT

XDG_CONFIG_HOME=DIRECTORY, XDG_CONFIG_DIRS=SEARCHPATH
    Used to find the configuration file XDG_CONFIG_DIRS/mpDris2/mpDris2.conf according to the XDG Base Directory Specification.

MPD_HOST=HOSTNAME
    Set the hostname of the mpd server, overriding the configuration file.

MPD_PORT=PORT
    Set the port number of the mpd server, overriding the configuration file.

XDG_MUSIC_DIR=DIRECTORY
    Used to find the default music directory if not specified in the configuration file or as a command-line option.

SEE ALSO
mpd(1)